Subject: RE: issue 37

From: "Abarbanel, Benjamin" <[email-masked]>
Date: Fri, 27 Sep 2002 15:50:00 -0400

My opinion to this question, if such terms as "withdrawn routes" and
"unfeasable routes" are used multiple times as either verbs, adjectives, and
nouns interchangeably, then it would be wise to define them in the "commonly
used terms" section. If they are used only in one mode in a few places, then
as Yakov stated its OK to let the local useage define the meaning.

Ben

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]
> Sent: Friday, September 27, 2002 3:28 PM
> To: Kunihiro Ishiguro
> Cc: Yakov Rekhter; [email-masked]
> Subject: Re: issue 37
> 
> 
> To address the concern in the original post:  Do we want to add a 
> definition of "Unfeasable Routes" to the glossary/list of frequently
> used terms?
> 
> Andrew
> 
> On Thu, Sep 26, 2002 at 10:05:53AM -0700, Kunihiro Ishiguro wrote:
> > Delivered-To: [email-masked]
> > Delivered-To: [email-masked]
> > Delivered-To: [email-masked]
> > Date: Thu, 26 Sep 2002 10:05:53 -0700
> > From: Kunihiro Ishiguro <[email-masked]>
> > To: Yakov Rekhter <[email-masked]>
> > Cc: [email-masked]
> > Subject: Re: issue 37 
> > In-Reply-To: <[email-masked]>
> > User-Agent: Wanderlust/2.8.1 (Something) SEMI/1.14.3 
> (Ushinoya) FLIM/1.14.2 (Yagi-Nishiguchi) APEL/10.3 
> Emacs/21.2.50 (powerpc-unknown-linux-gnu) MULE/5.0 (SAKAKI)
> > Precedence: bulk
> > X-OriginalArrivalTime: 26 Sep 2002 17:06:04.0179 (UTC) 
> FILETIME=[FF35B630:01C2657E]
> > 
> > Thanks for clear explanation.  I'm convinced.
> > 
> > >> 
> >-------------------------------------------------------------
> ---------------
> > >> >37) Combine "Unfeasable Routes" and "Withdrawn Routes"
> > >> 
> >-------------------------------------------------------------
> ---------------
> > >> >Status: No Consensus
> > >> >Change: Potentially
> > >> >Summary: No definition extant for "Unfeasable Routes". 
> > >> >
> > >> >Discussion:
> > >> >
> > >> >3. P. 45, Phase I, There is no definition of what are 
> unfeasible routes? Are
> > >> >they the same as withdrawn routes? If so, the two 
> should be combined to one
> > >> >name.
> > >> 
> > >> >From implementation stand point there is no difference between
> > >> "Unfeasible Routes" and "Withdrawn Routes".  When the route is
> > >> unfeasible, BGP withdraw the route.  I think combining 
> two name to one
> > >> name make sense.
> > >
> > >The routes are withdrawn from service because they are unfeasible,
> > >not because they are "withdrawn". So, we need to keep the term
> > >"unfeasible" to indicate the *reason* why a route could be 
> withdrawn.
> > >On the other hand, "withdrawn" is used as a verb, and to the best
> > >of my knowledge "unfeasible" can't be used as a verb.  With this
> > >in mind, I don't think that we can combine the two into a single
> > >term.
>

---

From: Curtis Villamizar <[email-masked]>
Date: Mon, 30 Sep 2002 11:01:15 -0400

In message <[email-masked]>, 
> > > Thanks for clear explanation.  I'm convinced.

Suggested definitions for discussion:

   Unfeasible route: A route which has been withdrawn can no longer be
     used for forwarding is referred to as an infeasible route.

   Withdrawn route: A route which was advertised but has more recently
     appeared in the unreachable section of an UPDATE message is
     referred to as a withdrawn route.

   Withdrawing a route: Putting a prefix into the unreachable section
     is referred to as "withdrawing" a route.

The normal rules for use of a verb apply resulting in valid phrases
such as "after a route is withdrawn" or "the route must then be
withdrawn".  I hope we don't have to add them to the glossary as well.

My personal preference is that we omit these definitions on the
grounds that our usage conforms exactly to normal usage of the english
language words "unfeasible", "withdrawn" and "withdrawing" when
applied to the noun "route" and therefore need not be defined.  The
mechanism of withdrawing routes is very clearly stated elsewhere.

Curtis

---

From: Mathew Richardson <[email-masked]>
Date: Mon, 30 Sep 2002 12:50:20 -0400

> Curtis Villamizar <[email-masked]> [Mon, Sep 30, 2002 at 11:01:15AM -0400]:
>

<snip>

>mechanism of withdrawing routes is very clearly stated elsewhere.

<snip>

So, I was all set to send a message agreeing that there was no point
in defining these terms, but decided to check the spec before doing so ;)

It turns out there there is an inconsistancy in the usage of the word
withdrawn.

Section 3.1:

  There are three methods by which a given BGP speaker can indicate
  that a route has been withdrawn from service:

	...
      
    b) a replacement route with the same NLRI can be advertised, or

	...

Later, in the definition of Withdrawn Routes Length, we have:

  A value of 0 indicates that no routes are being withdrawn from
  service,

Taken together, this could be construed as meaning that a Withdrawn
Routes Length of 0 indicates that all routes included in the UPDATE
represent newly feasible routes... not replacement routes.

Now, it's possible that this problem has been removed by changes
to the text that have not yet been incorporated in to a new draft;
however, it arose because the text, for the most part, does _not_
use "withdrawn" in the standard way.  Instead, it refers to
routes included in the WITHDRAWN ROUTES field of an UPDATE
message.  Consequenty, I propose defining a "withdrawn route"
as follows:

  Withdrawn route: a route included in the WITHDRAW ROUTES field of
  an UPDATE message.

Regardless of whether or not this definition is included, Section 3.1
shold be changed from:

  There are three methods by which a given BGP speaker can indicate
  that a route has been withdrawn from service:

to:

  There are three methods by which a given BGP speaker can indicate
  that a route has been removed from service:

or:

  There are three methods by which a given BGP speaker can indicate
  that a route is now unfeasible:

mrr